Bug 480968 - Traceback missing ( python? ) module sepolgen.refparser
Traceback missing ( python? ) module sepolgen.refparser
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
: 480540 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-01-21 10:27 EST by Jóhann B. Guðmundsson
Modified: 2013-01-10 00:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-02 14:26:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2009-01-21 10:27:49 EST
Description of problem:

When updating to rawhide as of today ( 21.01.09 )

Traceback occurred almost the exact output
( was typing this as yum was updating. )

File "/usr/bin/sepolgem-ifgen", line 32 in module 
import sepolger.refparser as refparser
ImportError: No Module named sepolger.refparser

Version-Release number of selected component (if applicable):


How reproducible:

Once at least :) Have to wait for another update to
Steps to Reproduce:
1. yum -y update --skip-broken 
2. update 
Actual results:

Update with Traceback

Expected results:

Update without Traceback

Additional info:
Comment 1 Daniel Walsh 2009-01-21 14:44:06 EST
If you run it by hand does it work now?

Comment 2 Jóhann B. Guðmundsson 2009-01-22 11:37:07 EST
/usr/bin/sepolgem-ifgen seem to runs without errors.. 
( it runs and finishes without any errors )
Comment 3 Daniel Walsh 2009-01-22 14:13:44 EST
Do you have the update log,  we are guessing the problem is happening based on python upgrading from 2.5 to 2.6, so the  sepolgen.refparser  so during the selinux-policy post install 

We are running python 2.6 while sepolgen.refparser is in 

Or we are running python 2.5 when the sepolgen.refparse is in /usr/lib64/python2.6/site-packages/sepolgen
Comment 4 Daniel Walsh 2009-02-02 14:26:23 EST
Fixed in 
Comment 5 Daniel Walsh 2009-02-02 14:28:00 EST
*** Bug 480540 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.